Class Index | File Index

## Classes

- _global_
- OWF
- OWF.Chrome
- OWF.DragAndDrop
- OWF.Eventing
- OWF.Intents
- OWF.Lang
- OWF.Launcher
- OWF.Log
- OWF.Metrics
- OWF.Preferences
- OWF.RPC
- OWF.Util
- Ozone.chrome.WidgetChrome
- Ozone.dragAndDrop.WidgetDragAndDrop
- Ozone.eventing.Widget
- Ozone.eventing.WidgetProxy
- Ozone.lang
- Ozone.launcher.WidgetLauncher
- Ozone.launcher.WidgetLauncherUtils
- Ozone.log
- Ozone.metrics
- Ozone.pref.PrefServer
- Ozone.state.WidgetState
- Ozone.state.WidgetStateHandler
- Ozone.util
- Ozone.util.pageLoad

# Namespace Ozone.metrics

Defined in: BaseMetrics.js.

Namespace Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Ozone.metrics

Method Summary
Method Attributes | Method Name and Description
--- | ---
<static> | Ozone.metrics.logBatchMetrics(metrics) Logs a set of metrics to the server all at once.
<static> | Ozone.metrics.logMetric(userId, userName, metricSite, componentName, componentId, componentInstanceId, metricTypeId, metricData) Basic logging capability - meant to be called by other methods which transform or validate data
<static> | Ozone.metrics.logWidgetRender(userId, userName, metricSite, widget) Log view of widget - see calls in dashboards

Namespace Detail
Ozone.metrics
Method Detail
<static> Ozone.metrics.logBatchMetrics(metrics)
Logs a set of metrics to the server all at once. All metrics passed into a call to this function will be logged in a single HTTP request, instead of one request per metric

Parameters:
{Array} metrics
{String} metrics[*].userId
{String} metrics[*].userName
{Number} metrics[*].metricTime
  The time at which is metric was collected (in UNIX time)
{String} metrics[*].site
  Identifier, potentially URL, for source of metric - typically OWF instance
{String} metrics[*].component
{String} metrics[*].componentId
{String} metrics[*].instanceId
{String} metrics[*].metricTypeId
  String describing metric - recommend package name construct
{String} metrics[*].widgetData
  Any additional data for metric - do any necessary validation appropriate to metricTypeId before sending through
{String} metrics[*].userAgent
  Should be set to the user-agent string of the browser

Since:
  OWF 6.0

<static> Ozone.metrics.logMetric(userId, userName, metricSite, componentName, componentId, componentInstanceId, metricTypeId, metricData)
Basic logging capability - meant to be called by other methods which transform or validate data

Parameters:
{String} userId
{String} userName
{String} metricSite
  Identifier, potentially URL, for source of metric - typically OWF instance
{String} componentName
{String} componentId
{String} componentInstanceId
{String} metricTypeId
  String describing metric - recommend package name construct
{String} metricData
  Any additional data for metric - do any necessary validation appropriate to metricTypeId before sending through

Since:
  OWF 3.8.0

<static> Ozone.metrics.logWidgetRender(userId, userName, metricSite, widget)
Log view of widget - see calls in dashboards

Parameters:
{String} userId
  - see Ozone.metrics.logMetric userId
{String} userName
  - see Ozone.metrics.logMetric userName
{String} metricSite
  - see Ozone.metrics.logMetric metricSite
{Object} widget

Since:
  OWF 3.8.0

Documentation generated by JsDoc Toolkit 2.3.2 on Fri Dec 21 2012 17:25:00 GMT-0500 (EST)